UbixOS V2 2.0

Data Fields
lncInfo Struct Reference

`#include <lnc.h>`

Collaboration diagram for lncInfo:

## Data Fields
struct arpcom | arpcom
int | bufferSize
struct initBlock32 | init
unsigned int | ioAddr
struct nicInfo | nic
int | nrdre
int | ntdre
char * | rxBuffer
int | rxPtr
struct hostRingEntry * | rxRing
char * | txBuffer
int | txPtr
struct hostRingEntry * | txRing

## Detailed Description

Definition at line 127 of file lnc.h.

## Field Documentation

## ◆ arpcom

struct arpcom lncInfo::arpcom

Definition at line 128 of file lnc.h.

Referenced by initLNC().

## ◆ bufferSize

int lncInfo::bufferSize

Definition at line 138 of file lnc.h.

Referenced by initLNC(), lnc_rxINT(), lnc_sendPacket(), lnc_thread(), and lncAttach().

## ◆ init

struct initBlock32 lncInfo::init

Definition at line 134 of file lnc.h.

Referenced by initLNC().

## ◆ ioAddr

unsigned int lncInfo::ioAddr

Definition at line 135 of file lnc.h.

Referenced by initLNC(), lanceProbe(), lnc_readBCR(), lnc_readBCR32(), lnc_readCSR(), lnc_readCSR32(), lnc_reset(), lnc_reset32(), lnc_switchDWord(), lnc_writeBCR(), lnc_writeBCR32(), lnc_writeCSR(), lnc_writeCSR32(), and lncInt().

## ◆ nic

struct nicInfo lncInfo::nic

Definition at line 129 of file lnc.h.

Referenced by initLNC(), and lncAttach().

## ◆ nrdre

int lncInfo::nrdre

Definition at line 136 of file lnc.h.

Referenced by initLNC(), lnc_nextRxPtr(), and lncAttach().

## ◆ ntdre

int lncInfo::ntdre

Definition at line 137 of file lnc.h.

Referenced by initLNC(), lnc_nextTxPtr(), and lncAttach().

## ◆ rxBuffer

char* lncInfo::rxBuffer

Definition at line 131 of file lnc.h.

Referenced by lnc_rxINT(), lnc_thread(), and lncAttach().

## ◆ rxPtr

int lncInfo::rxPtr

Definition at line 140 of file lnc.h.

Referenced by lnc_driverOwnsRX(), lnc_nextRxPtr(), lnc_rxINT(), and lnc_thread().

## ◆ rxRing

struct hostRingEntry* lncInfo::rxRing

Definition at line 130 of file lnc.h.

Referenced by initLNC(), lnc_driverOwnsRX(), lnc_rxINT(), lnc_thread(), and lncAttach().

## ◆ txBuffer

char* lncInfo::txBuffer

Definition at line 133 of file lnc.h.

Referenced by lnc_sendPacket(), and lncAttach().

## ◆ txPtr

int lncInfo::txPtr

Definition at line 139 of file lnc.h.

Referenced by lnc_driverOwnsTX(), lnc_nextTxPtr(), and lnc_sendPacket().

## ◆ txRing

struct hostRingEntry* lncInfo::txRing

Definition at line 132 of file lnc.h.

Referenced by initLNC(), lnc_driverOwnsTX(), lnc_sendPacket(), and lncAttach().

The documentation for this struct was generated from the following file:

- C:/Dev/git/UbixOS/sys/include/pci/lnc.h